function [stat, nElem] = FitIGammaGetStatisticBG2(Data)

[DataMatr, L, R, Len, N, D, Q, X, NRepl, NMaxRepl] = GetDataLRLen(Data);
for j = 1 : D
    idxJ = [1:NRepl(1,j)] + (j-1)*NMaxRepl;

    d = DataMatr(:,idxJ) - repmat(mean(DataMatr(:,idxJ)')', 1, length(idxJ));
    stat(:,j) = sum(d'.*d');
    nElem(1:N,j) = length(idxJ);
end
stat = reshape(stat, prod(size(stat)),1);
nElem = reshape(nElem, prod(size(nElem)),1);
