function [stat, nElem] = FitIGammaGetStatisticPR(Data, Config)

[DataMatr, L, R, Len, N, D, Q, X, NRepl, NMaxRepl] = GetDataLRLen(Data);

for j = 1 : length(Config.NCycleDep)
    idxJ = [];
    for k = 1 : Config.NCycleDep(j)
        t = Config.CycleDep(j,k);
        idxJ = [idxJ, [1:NRepl(1,t)] + (t-1)*NMaxRepl];
    end

    d = DataMatr(:,idxJ) - repmat(mean(DataMatr(:,idxJ)')', 1, length(idxJ));
    stat(:,j) = sum(d'.*d');
    nElem(j) = length(idxJ);
end
