function LogP = FitNIGScale_GetLogP(y, nu, kgrid, a, b)

[R, N] = size(y);
NKgrid = length(kgrid);
LogP = zeros(NKgrid,N);
for k = 1 : NKgrid
    for i = 1 : N
        LogP(k, i) = GetLogPYNormalIGamma1Dim(y(:,i), nu, kgrid(k), a, b);
    end
end
LogP = sum(LogP, 2);
