function p = GetANOVADE(Data)

[DataMatr, L, R, Len, N, D, Q, X, NRepl, NMaxRepl] = GetDataLRLen(Data);

idxJAll = []; labelAll = [];
for j = 1 : D
    idxJAll = [idxJAll, [1:NRepl(1,j)] + (j-1)*NMaxRepl];
    labelAll = [labelAll, j*ones(1,NRepl(1,j))];
end

p = zeros(N,1);
for i = 1 : N
    p(i) = anova1(DataMatr(i,idxJAll), labelAll, 'off');
end

