function p = GetANOVAPeriodic(Data, Config)

[DataMatr, L, R, Len, N, D, Q, X, NRepl, NMaxRepl] = GetDataLRLen(Data);
T = size(Config.CycleDep,1);

idxJT = []; labelT = [];
for j = 1 : T
    for k = 1 : Config.NCycleDep(j)
        t = Config.CycleDep(j,k);
        idxJT = [idxJT, [1:NRepl(1,t)] + (t-1)*NMaxRepl];
        labelT = [labelT, j*ones(1,NRepl(1,t))];
    end
end

p = zeros(N,1);
for i = 1 : N
    p(i) = anova1(DataMatr(i,idxJT), labelT, 'off');
end

