#ifndef __SPMODEL_H__
#define __SPMODEL_H__

void GetSPLogP (numtype *LogPY,numtype *LogPKGivenY,numtype *LogPYGivenK, numtype *ThetaPR,numtype *ThetaDE,numtype *ThetaBG,const numtype *DataMatr,const numtype *NRepl,const numtype *CycleDep,const numtype *NCycleDep,const numtype *PComp,const numtype *PRPriorMu,const numtype *PRPriorK0,const numtype *PRPriorA1,const numtype *PRPriorA2,const numtype *DEPriorMu,const numtype *DEPriorK0,const numtype *DEPriorA1,const numtype *DEPriorA2,const numtype *BGPriorMu,const numtype *BGPriorK0,const numtype *BGPriorA1,const numtype *BGPriorA2,const int N,const int DNMaxRepl,const int D, const int T, const int NMaxCycleDep);
//%output LogPY(N)
//%output LogPKGivenY(N,3)
//%output LogPYGivenK (N,3)
//%output ThetaPR(N,T,2)
//%output ThetaDE(N,D,2)
//%output ThetaBG(N,2)
//%input  DataMatr(N,DNMaxRepl)
//%input  NRepl(N,D)
//%input  CycleDep(T,NMaxCycleDep)
//%input  NCycleDep(T)
//%input  PComp(3)
//%input  PRPriorMu(T)
//%input  PRPriorK0(T)
//%input  PRPriorA1(T)
//%input  PRPriorA2(T)
//%input  DEPriorMu(D)
//%input  DEPriorK0(D)
//%input  DEPriorA1(D)
//%input  DEPriorA2(D)
//%input  BGPriorMu(1)
//%input  BGPriorK0(1)
//%input  BGPriorA1(1)
//%input  BGPriorA2(1)

void GetSPMultiCompLogP (numtype *LogPY,numtype *LogPKGivenY,numtype *LogPYGivenK, numtype *Mu,numtype *RV,const numtype *DataMatr,const numtype *NRepl,const numtype *CycleDep,const numtype *NCycleDep,const numtype *PComp,const numtype *CompType, const numtype *PriorMu,const numtype *PriorK0,const numtype *PriorA1,const numtype *PriorA2,const int N,const int DNMaxRepl,const int D, const int T, const int K, const int NMaxCycleDep);
//%output LogPY(N)
//%output LogPKGivenY(N,K)
//%output LogPYGivenK (N,K)
//%output Mu(N,D,K)
//%output RV(N,D,K)
//%input  DataMatr(N,DNMaxRepl)
//%input  NRepl(N,D)
//%input  CycleDep(T,NMaxCycleDep)
//%input  NCycleDep(T)
//%input  PComp(K)
//%input  CompType(K)
//%input  PriorMu(K,D)
//%input  PriorK0(K,D)
//%input  PriorA1(K,D)
//%input  PriorA2(K,D)

#endif
