function logP = FitIGammaGetLogP(stat, D, a, b, PriorA, PriorBeta)

k = (D-1)/2;
logP = sum(gammaln(a + k) - gammaln(k) - gammaln(a) + (k-1)*log(stat) - a*log(b) - k*log(2) - (a+k)*log((1/b) + 0.5*stat)); 
if nargin > 4
    logP = logP + gampdf(a, PriorA.A1, PriorA.A2);
end
if nargin > 5
    logP = logP + gampdf(1/b, PriorBeta.A1, PriorBeta.A2);
end