function [stat, nElem] = FitIGammaGetStatistic(Data)

[DataMatr, L, R, Len, N, D, Q, X, NRepl, NMaxRepl] = GetDataLRLen(Data);
for j = 1 : D
    idxJ = [1:NRepl(1,j)] + (j-1)*NMaxRepl;

    d = DataMatr(:,idxJ) - repmat(mean(DataMatr(:,idxJ)')', 1, length(idxJ));
    stat(:,j) = sum(d'.*d');
    nElem(j) = length(idxJ);
end

