function K = FitNIGScale_GetK(y, nu, a, b, kInterval)

if nargin < 5
    kInterval = [0.001, 10];
end

try
    K = fzero(@(x) FitNIGScale_DerK(x, y, nu, a, b),kInterval);
catch
    err = lasterror();
    if strcmp(err.identifier, 'MATLAB:fzero:ValuesAtEndPtsSameSign')
        K = kInterval(2);
    else rethrow(err);
    end
end

