#ifndef __TMedian_H__
#define __TMedian_H__

class TMedian
{
protected:
	numtype *sortArray;
	int arLen;

public:
	TMedian():arLen(0), sortArray(0){};
	virtual ~TMedian()
	{
		if (sortArray)
		{
			delete[] sortArray;
			sortArray = 0;
			arLen = 0;
		}
	}

	// quickSort implementation (slower)
	numtype Eval(const numtype *v, const int len);
	numtype Eval(const int len);
		
	// Wirth's implementation (faster)
	numtype EvalFast(const numtype *v, const int len);
	numtype EvalFast(const int len);
		
	void Set(const numtype v, const int i);
};

#endif